.\" Copyright (c) 1986 Regents of the University of Wisconsin.
.\" All rights reserved.
.\"
.TH MEET UW "June 15, 1986"
.UC 5
.SH NAME
meet \- form a connection with another process through swbd
.SH SYNOPSIS
.PP
.B "int meet(name1, name2);"
.br
.B "char *name1, *name2;"
.PP
.B "int putserver (name1);"
.br
.B "char *name1;"
.PP
.B "int delserver (name1);"
.br
.B "char *name1;"
.PP
.B "int setswbhost (hostname);"
.br
.B "char *hostname;"
.SH DESCRIPTION
All of the swb routines require the "-lswb" option to be specified on
compilation or linking.
.PP
.I Meet
allows two independently started processes to rendevous (form an IPC
connection) using mutually agreed upon names.
Each of the two processes does a
.I "meet()"
call, specifying
.IR "name1" ,
the process's name, and
.IR name2 ,
the other processes name.
.PP
.I "Meet()"
will connect to the swb server and block on a request for the IPC address
of the other process.
The swb server's location is automaticly found, and if more than one server
is running, the request information is propagated to all servers.
The
.I "meet()"
routine, in conjunction is tolerant of server failures, as long as one
switchboard server remains accessible.
When the swb returns the address,
.I "meet()"
forms a connection to the other process and returns a descriptor for the
socket connecting to the other process.
.PP
.I "Putserver()"
is used to give the swb the name of a server process.
The server's entry remains in the table until it is delete by a call to
.I "delserver()" .
A user process will try to connect to the service using the standard
.I "meet()"
call, while the server uses the UNIX
.I "accept()" .
.PP
.I "Delserver()"
is used to to delete a server entry from the switchboard.
.PP
.I "Setswbhost()"
is include for backwards compatibility to a previous version of the
switchboard.
This no longer performs any function and always returns successful completion.
.SH FILES
/etc/hosts
.br
/etc/swb.hosts
.br
/usr/include/swbmsg.h
.SH "SEE ALSO"
accept(2), delserver(3), putserver(3), swbd(8)
.SH "RETURN VALUE"
Negative value returned on error.
The
.I "meet()" call will return the descriptor number of the socket
upon successful completion.
.SH BUGS
.PP
These are experimental routines.
Bugs and comments to bart@cs.wisc.edu.
